Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Updates the details of a specific memory document.
curl --request PATCH \
--url https://api.orq.ai/v2/memory-stores/{memory_store_key}/memories/{memory_entity_id}/documents/{document_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>",
"metadata": {}
}
'{
"_id": "<string>",
"memory_id": "<string>",
"store_id": "<string>",
"text": "<string>",
"created": "<string>",
"updated": "<string>",
"workspace_id": "<string>",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"metadata": {}
}Documentation Index
Fetch the complete documentation index at: https://docs.orq.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique key identifier of the memory store
The unique identifier of the memory
The unique identifier of the document
The content of the memory document (whitespace trimmed).
1Flexible key-value pairs for custom filtering and categorization. Clients can add arbitrary string metadata to enable future filtering of memory documents based on their specific needs (e.g., document type, source, topic, relevance score, or any custom taxonomy).
Show child attributes
Memory document successfully updated.
The content of the memory document (whitespace trimmed).
1Flexible key-value pairs for custom filtering and categorization. Clients can add arbitrary string metadata to enable future filtering of memory documents based on their specific needs (e.g., document type, source, topic, relevance score, or any custom taxonomy).
Show child attributes
Was this page helpful?
curl --request PATCH \
--url https://api.orq.ai/v2/memory-stores/{memory_store_key}/memories/{memory_entity_id}/documents/{document_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>",
"metadata": {}
}
'{
"_id": "<string>",
"memory_id": "<string>",
"store_id": "<string>",
"text": "<string>",
"created": "<string>",
"updated": "<string>",
"workspace_id": "<string>",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"metadata": {}
}